<div align="center">
  <h1>React Boilerplate</h1>
  A scalable, offline-first foundation for your next <a href="https://reactjs.org/">React</a> project, with a focus on performance and best practices.
</div>

## What's inside?

A quick look at the top-level files and directories you'll see in a React Boilerplate project.

    .
    ├── src
    ├── node_modules
    ├── .gitignore
    ├── package.json
    ├── README.md
    ├── tsconfig.json
    └── yarn.lock

1.  **`/src`**: This directory will contain all of the code related to what you will see on the front-end of your site.

2.  **`/node_modules`**: This directory contains all of the modules of code that your project depends on (npm packages) are automatically installed.

3.  **`.gitignore`**: This file tells git which files it should not track / not maintain a version history for.

4.  **`package.json`**: A manifest file for Node.js projects, which includes things like metadata (the project’s name, author, etc). This manifest is how npm knows which packages to install for your project.

5.  **`README.md`**: A text file containing useful reference information about your project.

6.  **`tsconfig.json`**: A file that specifies the root files and the compiler options required to compile the project.

7.  **`yarn.lock`** (See `package.json` above, first). This is an automatically generated file based on the exact versions of your npm dependencies that were installed for your project. **(You won’t change this file directly).**

## License

This project is licensed under the MIT license, Copyright (c) 2018-present Thandolwethu Mpofu. For more information see `LICENSE.md`.

## Acknowledgements

I'm exceedingly grateful to [Maximilian
Stoiber](https://github.com/mxstbr), creator of [react-boilerplate](https://github.com/react-boilerplate/react-boilerplate) and the project's respective [developers](https://github.com/orgs/react-boilerplate/teams/core) for the solid foundation from which this project has been developed.
